<?php

namespace Dj3c1t\AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Request;

class SecurityController extends Controller {

    public function loginAction() {
        $authenticationUtils = $this->get('security.authentication_utils');
        $error = $authenticationUtils->getLastAuthenticationError();
        $lastUsername = $authenticationUtils->getLastUsername();
        if($error) {
            $this->get('session')->getFlashBag()->add('warning', $error->getMessage());
        }
        return $this->render(
            'Dj3c1tAppBundle:Security:login.html.twig',
            array(
                'last_username' => $lastUsername,
            )
        );
    }

}
